# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Symbol.pm) perl(Test/Harness.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Symbol-Util
Version:        0.0203
Release:        alt1_4
Summary:        Additional utilities for Perl symbols manipulation
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Symbol-Util/
Source0:        http://www.cpan.org/authors/id/D/DE/DEXTER/Symbol-Util-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)


Source44: import.info

%description
This module provides a set of additional functions useful for Perl symbols
manipulation.

%prep
%setup -q -n Symbol-Util-%{version}
chmod -x xt/cover.pl
chmod -x examples/delete_glob.pl

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes examples LICENSE README xt
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.0203-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.0203-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.0203-alt1_1
- fc import

